# Record TCefKeyEvent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefKeyEvent = record`

## Description

Structure representing keyboard event information.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_key_event_t))

## Overview

### Fields

| `size: NativeUInt;`
| `kind: TCefKeyEventType;`
| `modifiers: TCefEventFlags;`
| `windows_key_code: Integer;`
| `native_key_code: Integer;`
| `is_system_key: Integer;`
| `character: WideChar;`
| `unmodified_character: WideChar;`
| `focus_on_editable_field: Integer;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `kind: TCefKeyEventType;`
The type of keyboard event. It's called 'type' in the original CEF source code.

| `modifiers: TCefEventFlags;`
Bit flags describing any pressed modifier keys. See TCefEventFlags for values.

| `windows_key_code: Integer;`
The Windows key code for the key event. This value is used by the DOM specification. Sometimes it comes directly from the event (i.e. on Windows) and sometimes it's determined using a mapping function. See WebCore/platform/chromium/KeyboardCodes.h for the list of values.

| `native_key_code: Integer;`
The actual key code genenerated by the platform.

| `is_system_key: Integer;`
Indicates whether the event is considered a "system key" event (see http://msdn.microsoft.com/en-us/library/ms646286(VS.85).aspx for details). This value will always be false on non-Windows platforms.

| `character: WideChar;`
The character generated by the keystroke.

| `unmodified_character: WideChar;`
Same as |character| but unmodified by any concurrently-held modifiers (except shift). This is useful for working out shortcut keys.

| `focus_on_editable_field: Integer;`
True if the focus is currently on an editable field on the page. This is useful for determining if standard key events should be intercepted.

Generated by PasDoc 0.16.0-snapshot.